%{?nodejs_find_provides_and_requires}

%global packagename consolemd
%global enable_tests 1

Name:		nodejs-consolemd
Version:	0.1.2
Release:	1%{?dist}
Summary:	An echomd conversion tool for browsers and console

License:	MIT
URL:		https://github.com/WebReflection/consolemd
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

# License file requested upstream at https://github.com/WebReflection/consolemd/issues/1
Source11:	LICENSE-MIT


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(echomd)

%description
An echomd conversion tool for browsers and console.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE11} LICENSE

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%__nodejs -e 'require("./index").log("#green(*✓*) *OK*");' || exit 1
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 20 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.2-1
- Initial packaging
